path: /build/build/iotop-sys-process-1.30.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="filecaps" emerge sys-process/iotop -pv -t && \
    USE="filecaps" emerge -j ${JOBS} --nodeps sys-process/iotop && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/iotop && \
    luet-portage --dir /pkgdir/iotop sys-process/iotop && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:d674d664ea3b190bddaf843e1fb892fefd37370334fec691ebb312a7693fe0cc
  package:
    name: iotop
    version: "1.30"
    category: sys-process
    use_flags:
    - filecaps
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Interactive monitor of Linux IO activity
    uri:
    - https://github.com/Tomas-M/iotop
    license: GPL-2
    buildtimestamp: 2025-08-19 23:03:26.096699549 +0000 UTC m=+339.572109024
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: sys-libs/ncurses:= filecaps? ( sys-libs/libcap )
      IUSE: +filecaps
      RDEPEND: sys-libs/ncurses:=
      emerge.packages: sys-process/iotop
      kit: core-server-kit
      original.package.name: sys-process/iotop
      original.package.slot: "0"
      original.package.version: "1.30"
    treedir: /build/packages
  package_dir: /pkgdir/iotop
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0fba7fbd3d14bf3f748bfa98ba9b9515dab640c0d1c2c4e234b387e073ac1937
compressiontype: zstd
files:
- usr/bin/iotop
- usr/share/doc/iotop-1.30/README.md.bz2
- usr/share/man/man8/iotop.8.bz2
- var/db/pkg/sys-process/iotop-1.30/BDEPEND
- var/db/pkg/sys-process/iotop-1.30/BUILD_TIME
- var/db/pkg/sys-process/iotop-1.30/CATEGORY
- var/db/pkg/sys-process/iotop-1.30/CBUILD
- var/db/pkg/sys-process/iotop-1.30/CFLAGS
- var/db/pkg/sys-process/iotop-1.30/CHOST
- var/db/pkg/sys-process/iotop-1.30/CONTENTS
- var/db/pkg/sys-process/iotop-1.30/COUNTER
- var/db/pkg/sys-process/iotop-1.30/CTARGET
- var/db/pkg/sys-process/iotop-1.30/CXX
- var/db/pkg/sys-process/iotop-1.30/CXXFLAGS
- var/db/pkg/sys-process/iotop-1.30/DEFINED_PHASES
- var/db/pkg/sys-process/iotop-1.30/DEPEND
- var/db/pkg/sys-process/iotop-1.30/DESCRIPTION
- var/db/pkg/sys-process/iotop-1.30/EAPI
- var/db/pkg/sys-process/iotop-1.30/FEATURES
- var/db/pkg/sys-process/iotop-1.30/HOMEPAGE
- var/db/pkg/sys-process/iotop-1.30/INHERITED
- var/db/pkg/sys-process/iotop-1.30/IUSE
- var/db/pkg/sys-process/iotop-1.30/IUSE_EFFECTIVE
- var/db/pkg/sys-process/iotop-1.30/KEYWORDS
- var/db/pkg/sys-process/iotop-1.30/LDFLAGS
- var/db/pkg/sys-process/iotop-1.30/LICENSE
- var/db/pkg/sys-process/iotop-1.30/NEEDED
- var/db/pkg/sys-process/iotop-1.30/NEEDED.ELF.2
- var/db/pkg/sys-process/iotop-1.30/PF
- var/db/pkg/sys-process/iotop-1.30/RDEPEND
- var/db/pkg/sys-process/iotop-1.30/REQUIRES
- var/db/pkg/sys-process/iotop-1.30/SIZE
- var/db/pkg/sys-process/iotop-1.30/SLOT
- var/db/pkg/sys-process/iotop-1.30/USE
- var/db/pkg/sys-process/iotop-1.30/environment.bz2
- var/db/pkg/sys-process/iotop-1.30/iotop-1.30.ebuild
- var/db/pkg/sys-process/iotop-1.30/repository
package_cacheimage: ""
runtime:
  name: iotop
  version: "1.30"
  category: sys-process
  use_flags:
  - filecaps
  requires:
  - name: ncurses
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Interactive monitor of Linux IO activity
  uri:
  - https://github.com/Tomas-M/iotop
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: sys-libs/ncurses:= filecaps? ( sys-libs/libcap )
    IUSE: +filecaps
    RDEPEND: sys-libs/ncurses:=
    emerge.packages: sys-process/iotop
    kit: core-server-kit
    original.package.name: sys-process/iotop
    original.package.slot: "0"
    original.package.version: "1.30"
